Bug 42471 - Undo of cell style background formatting does not work when cell is in edit mode / undo stack of cell editing is sort of separated..
Summary: Undo of cell style background formatting does not work when cell is in edit m...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Cell-Edit-Mode
  Show dependency treegraph
 
Reported: 2011-11-01 05:24 UTC by Michal Suchanek
Modified: 2021-06-09 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Suchanek 2011-11-01 05:24:44 UTC
To reproduce:

1) click a cell
2) type some text
3) click the fill button to apply some fill
4) press ^Z

result: last letter typed is undone

expected: fill is undone
Comment 1 Cor Nouws 2011-12-06 07:59:23 UTC
Hi Michal
In 3.4.4 on Linux the undo does not remove anything while in editing mode
After leaving editing mode, undo removes the applied color.

Can you pls check if that's the same with you?
If so, the behaviour is at least consistent, IMO.
Thanks for checking!
Cor
Comment 2 tester8 2012-01-04 12:50:23 UTC
Reproduced with

LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

If it is not feature of cource.
Comment 3 A (Andy) 2014-03-09 12:34:08 UTC
reproducible with LO 4.2.1.1 (Win 8.1) as per comment by Cor
Comment 4 Joel Madero 2015-05-02 15:43:20 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-21 11:08:35 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:10:17 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2017-06-05 22:15:17 UTC
I can confirm the bug with Version: 5.5.0.0.alpha0+
Build-ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 8 QA Administrators 2018-06-06 02:46:50 UTC Comment hidden (obsolete)
Comment 9 Cor Nouws 2019-06-09 08:24:06 UTC
still the same in 63 master
I would say: let's live with it, Won't Fix.. OK?
Comment 10 Buovjaga 2019-06-09 09:40:54 UTC
(In reply to Cor Nouws from comment #9)
> still the same in 63 master
> I would say: let's live with it, Won't Fix.. OK?

Never surrended in the War on Bugs!!
Comment 11 Thomas Lendo 2019-06-09 11:09:08 UTC
If it's possible for a developer to fix it, I'm against closing this bug.
Comment 12 Cor Nouws 2019-06-09 20:19:10 UTC
(In reply to Buovjaga from comment #10)
> Never surrended in the War on Bugs!!
:)
(In reply to Thomas Lendo from comment #11)
> If it's possible for a developer to fix it, I'm against closing this bug.
:)

Fine for me.

Test for info:
- focus on cell
- type FOO, Enter
- return to cell, F2
- add XYZ after FOO
- Ctrl+Z, Ctrl+Z 
   > FOO is not removed.
So there is a different undo-stack for editing the cell, it seems.
Comment 13 QA Administrators 2021-06-09 03:47:40 UTC
Dear Michal Suchanek,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug